> For the complete documentation index, see [llms.txt](https://developers.term.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.term.finance/term-finance-protocol/term-repo/term-auction-group/administrative-functions.md).

# Administrative Functions

<table><thead><tr><th width="324.3333333333333">Contract</th><th>Key Functions</th><th data-hidden></th></tr></thead><tbody><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuction.sol"><mark style="color:yellow;"><code>TermAuction.sol</code></mark></a></td><td><mark style="color:yellow;">Manages the clearing, settlement and minting of Term Tokens at the conclusion of a Term Auction</mark></td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/YlhqiAfOxtv0l5sUeDRN#cancelauction">cancelAuction</a>: prevents an auction from clearing and returns all tokens to participants</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/YlhqiAfOxtv0l5sUeDRN#cancelauctionforwithdrawal">cancelAuctionForWithdrawal</a>: prevents an auction from clearing and allows participants to claim tokens by cancelling bids and offers via the Bid Locker and Offer Locker contracts, respectively</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/YlhqiAfOxtv0l5sUeDRN#pausecompleteauction">pauseCompleteAuction</a>: triggers a revert on completeAuction when paused</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/YlhqiAfOxtv0l5sUeDRN#unpausecompleteauction">unpauseCompleteAuction</a>: returns Term Auction contract to normal operations</td><td></td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuctionBidLocker.sol"><mark style="color:yellow;"><code>TermAuctionBidLocker.sol</code></mark></a></td><td><mark style="color:yellow;">Manages Term Auction bid submissions (to borrow)</mark></td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/QPDrAsGwvyaPBaii8qA7#pauselocking">pauseLocking</a>: triggers a revert when user tries to submit a bid</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#unpauselocking">unpauseLocking</a>: switch off pauseLocking</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#pauseunlocking">pauseUnlocking</a>: triggers a revert when user tries to cancel a bid</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/K30Bq9qxsM6pEdqMR7rh#unpauseunlocking">unpauseUnlocking</a>: switch off pauseUnlocking</td><td></td></tr><tr><td><a href="https://github.com/term-finance/term-finance-contracts/blob/main/contracts/TermAuctionOfferLocker.sol"><mark style="color:yellow;"><code>TermAuctionOfferLocker.sol</code></mark></a></td><td><mark style="color:yellow;">Manages Term Auction offer submissions (to lend)</mark></td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/rocc595kL89fSccUnO93#pauselocking">pauseLocking</a>: triggers a revert when user tries to submit an offer</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/rocc595kL89fSccUnO93#unpauselocking">unpauseLocking</a>: switch off pauseLocking</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/rocc595kL89fSccUnO93#pauseunlocking">pauseUnlocking</a>: triggers a revert when user tries to cancel an offer</td><td></td></tr><tr><td><pre class="language-solidity"><code class="lang-solidity">ADMIN_ROLE
</code></pre></td><td><a href="/pages/rocc595kL89fSccUnO93#unpauseunlocking">unpauseUnlocking</a>: switch off pauseUnlocking</td><td></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.term.finance/term-finance-protocol/term-repo/term-auction-group/administrative-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
